Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.xiph.org/xiph/opus.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalph Giles <giles@mozilla.com>2014-09-29 21:53:17 +0400
committerRalph Giles <giles@mozilla.com>2014-09-29 21:53:17 +0400
commit93fe3ce14f9eedff7edda494351c240721b034ec (patch)
treec08c913b43ca15c24fa3a91e8c0307a66040df96 /doc/build_isobmff.sh
parentd19c314ca1519c640281a993f21f0f083e78c741 (diff)
Add build script for mp4 spec.
This is a quick script to download, rename and sanitize Yusuke Nakamura's draft for opus in the ISO Base Media File Format.
Diffstat (limited to 'doc/build_isobmff.sh')
-rwxr-xr-xdoc/build_isobmff.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/doc/build_isobmff.sh b/doc/build_isobmff.sh
new file mode 100755
index 00000000..95ea202e
--- /dev/null
+++ b/doc/build_isobmff.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Copyright (c) 2014 Xiph.Org Foundation and Mozilla Foundation
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# - Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#Stop on errors
+set -e
+#Set the CWD to the location of this script
+[ -n "${0%/*}" ] && cd "${0%/*}"
+
+HTML=opus_in_isobmff.html
+
+echo downloading updates...
+CSS=${HTML%%.html}.css
+wget -q http://vfrmaniac.fushizen.eu/contents/${HTML} -O ${HTML}
+wget -q http://vfrmaniac.fushizen.eu/style.css -O ${CSS}
+
+echo updating links...
+cat ${HTML} | sed -e "s/\\.\\.\\/style.css/${CSS}/" > ${HTML}+ && mv ${HTML}+ ${HTML}
+
+echo stripping...
+cat ${HTML} | sed -e 's/<!--.*-->//g' > ${HTML}+ && mv ${HTML}+ ${HTML}
+cat ${HTML} | sed -e 's/ *$//g' > ${HTML}+ && mv ${HTML}+ ${HTML}
+cat ${CSS} | sed -e 's/ *$//g' > ${CSS}+ && mv ${CSS}+ ${CSS}
+
+
+VERSION=$(fgrep Version ${HTML} | sed 's/.*Version \([0-9]\.[0-9]\.[0-9]\).*/\1/')
+echo Now at version ${VERSION}